Install cmake-2.8.12 on EL7

here, Im installing vim plugin YCM and hit cmake version issue.

Step to fix:
1. fetch src.rpm
https://kojipkgs.fedoraproject.org//packages/cmake/2.8.12/3.fc21/src/cmake-2.8.12-3.fc21.src.rpm

2.  build/rebuild

3. install new generated package.

4. also I v put my rpms here:
Link:
http://pan.baidu.com/s/1o6OB8ro

EL7/src.RPMs_IF_YOU_NEED/cmake-2.8.12-3.fc21.src.rpm
/rpm/
cmake-2.8.12-3.el7.centos.x86_64.rpm
cmake-debuginfo-2.8.12-3.el7.centos.x86_64.rpm
cmake-doc-2.8.12-3.el7.centos.x86_64.rpm
cmake-gui-2.8.12-3.el7.centos.x86_64.rpm

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

2 comments

  1. Maqui says:

    Thank you so much!!!
    Especially for you RPM repo that let me save compile time (I was in a hurry!)

  2. Awesome, I used this to build dotnet on Centos 7.

    Thanks!